package com.chinaitop.depot.common;

import com.chinaitop.depot.feign.BasicFeignClient;
import com.chinaitop.depot.feign.BusinessFile;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-07-20 15:16
 */
@Component
public class HystrixClientFallback implements BasicFeignClient {
    private final static Logger logger = LoggerFactory.getLogger(HystrixClientFallback.class);

    @Override
    public void updateWarehouseCrkStatus(String wareJson) {
        logger.info("调用修改货位状态接口updateWarehouseCrkStatus，没走通，才来这里了: " + wareJson);
    }

	@Override
	public void updateFile(String fileIds, Integer bid, String fileType) {
		// TODO Auto-generated method stub
		logger.info("调用baisc中接口updateFile修改文件，没走通，才来这里了: " + fileIds+"--"+bid+"//"+fileType);
	}

	@Override
	public List<BusinessFile> getList(Integer id, String fileType, String order, Integer orgId) {
		// TODO Auto-generated method stub
		
		 logger.info("文件回显: " + id +"///"+fileType+"///"+order+"////"+orgId);
		return null;
	}

	@Override
	public Map<String, Object> findConditionEnum(Integer parentId, Integer notParentId, Integer notEnumId) {
		logger.info("获取"+parentId+"下的字典树接口调用失败!");
		return null;
	}

	@Override
	public Map<String, Object> getIdByNameAndParentId(Integer parentId, String enumName, String code) {
		logger.info("获取字典值失败!");
		return null;
	}

	@Override
	public String getHouseIdBySptDataID(String sptDataId) {
		logger.info("获取仓房ID失败!");
		return null;
	}

	@Override
	public String getTankIdBySptDataID(String sptDataId) {
		logger.info("获取油罐ID失败!");
		return null;
	}

	@Override
	public Map<String, Object> getWareOrTankObj(String sptDataId) {
		logger.info("获取货位信息失败!");
		return null;
	}

}
