package com.chinaitop.depot.risk.service.impl;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.risk.response.LawRegulationsResponse;
import com.chinaitop.depot.risk.service.LawsRegulationsInfoBaseService;
import com.chinaitop.depot.sptData.service.SptService;
import com.chinaitop.depot.system.service.SysCodeService;
import com.chinaitop.depot.utils.OkHttpUtil;
import com.fasterxml.jackson.databind.ObjectMapper;

@Service
public class LawsRegulationsInfoBaseServiceImpl implements LawsRegulationsInfoBaseService {

	@Resource
	private SptService sptService;
	@Resource
	private SysCodeService sysCodeService;
	@Autowired
    private RestTemplate restTemplate;
	
	@Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

	@Override
	public LawRegulationsResponse<?> getSptFlgzxxkData(Integer pageNum, Integer pageSize) throws Exception {

		//获取市平台token
		String token = sptService.sptToken();

		//获取请求数据的URL链接
		String pathLogin = sysCodeService.getSVal(10, "flgzxxk");
		StringBuffer sbf = new StringBuffer(50);
		sbf.append(pathLogin).append("/").append(pageNum).append("/").append(pageSize);
		JSONObject param2 = new JSONObject();
		param2.put("pageNum", 1);
		param2.put("pageSize", 10);
		System.out.println(param2.toString());
		System.out.println(sbf.toString());
		String result_data1 = OkHttpUtil.postJSONToken(sbf.toString(), param2.toString(), token);
		System.out.println(result_data1);
		
		ObjectMapper mapper = new ObjectMapper();
		LawRegulationsResponse lr = mapper.readValue(result_data1, LawRegulationsResponse.class);
		return lr;
	}

	@Override
	public ResponseEntity<byte[]> downlaodFile(String fileId) throws Exception {
		String pathLogin = sysCodeService.getSVal(10, "flgzxxk_download");
		StringBuffer sbf = new StringBuffer(50);
		sbf.append(pathLogin).append("?id=").append(fileId);
		HttpEntity<String> request = new HttpEntity<>("{}");
        return restTemplate.exchange(sbf.toString(), HttpMethod.GET, request, byte[].class);
	}

}
