package com.chinaitop.depot.storage.controller;

import java.util.Date;

import javax.annotation.Resource;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.storage.service.BfLskcxxjkDataService;
import com.chinaitop.depot.utils.ParameterUtil;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

@RequestMapping(value="/bfLskcxxjkData")
@Api(value="BfLskcxxjkDataController", description="备份粮食库存信息接口控制类")
@RestController
@Slf4j
public class BfLskcxxjkDataController {

	@Resource
	private BfLskcxxjkDataService bfLskcxxjkDataService;

	@Scheduled(cron = "00 00 23 * * ?")
	@RequestMapping(value="/backupLskcxxjk", method = RequestMethod.GET)
	@ApiOperation(value="备份粮食库存信息接口数据", notes = "")
	public void backupLskcxxjk() {
		try {
			int num = bfLskcxxjkDataService.backupMethod();
			System.out.println(ParameterUtil.date2string(new Date())+"备份库存数据共"+num+"条");
		} catch (Exception e) {
			log.error(e.getMessage(), e);
		}
	}
}
